#declare Handle = 
union{
lathe { 
    cubic_spline
    11,
    <0,8>,
    < .1, 8.01>,
    < .25, 8.1>,
    < .20, 8.5>,
    < .18, 8.6>,
    < .20, 8.85>,
    < .18,9.1>,
    < .20,9.2>,
    < .25, 9.7>,
    < .1,9.8>,
    < 0, 9.8>
    texture {Polished_Brass} translate <0,4,0>}
cylinder { <0,1.5,0>,<0,12,0> .15 texture {Polished_Brass}}
}


#declare Fire = texture {
  pigment {
    gradient y
    turbulence 0.20
    omega 0.80
    color_map {
        [0.00 color rgbf <1.00, 1.00, 1.00, 1.00>]      //clear
        [0.10 color rgbf <1.00, 0.16, 0.01, 0.67>]    // red
        [0.25 color rgbf <1.00, 0.74, 0.01, 0.40>]     // dark yellow
        [0.52 color rgbf <0.98, 1.00, 0.02, 0.08>]    // bright yellow
        [0.60 color rgbf <1.00, 1.00, 1.00, 1.00>]     //clear
        [0.90 color rgbf <1.00, 1.00, 1.00, 1.00>]      //clear
        [1.00 color rgbf <1.00, 1.00, 1.00, 1.002>]      //clear
    }
    scale <3.00, 7.50, 3.00>
  }
  finish {
    ambient 1.00
  }
}


#declare Tile =
intersection {
    intersection {
        object { Cube scale <1, 1, 0.95> }
        object { Disk_X scale 1.15 }
    }
    object { Disk_Y scale 1.15 }
    scale <.85, 1.9, .75>
}



//________________________________________________________________
#declare Lamp =
union {
lathe { 
    cubic_spline
    32,
    <0,0>,
    < 1, 0>,
    < 1, .05>,
    < .8, .1>,
    <.6, .2>,
    < .45, .3>,
    < .42, .4>,    
    < .45, .5>,
    < .48, .6>,
    < .55, .7>,
    < .7, .8>,
    < 1, .9>,
    < 1.15, 1>,
    < 1.3, 1.1>,
    < 1.35, 1.2>,
    < 1.43, 1.3>,
    < 1.45, 1.4>,
    < 1.47, 1.5>,
    < 1.49, 1.6>,
    < 1.47, 1.7>,
    < 1.42, 1.8>,
    < 1.35, 1.9>,
    < 1.3, 2>,
    < 1.15 2.1>,
    < .89, 2.2>,
    < .77, 2.3>,
    < .55, 2.4>,
    < .45 2.55>,
    < .45, 2.6>,
    < .45, 2.65>,
    < .45, 2.7>,
    < 0, 2.7>
    texture {T_Ruby_Glass}
    interior{ I_Glass}
    hollow on
    } 
   
object {
lathe { 
    cubic_spline
    29,
    <0,0>,
    < .45, 0>,
    < .45, .1>,
    < .45, .4>,    
    < .55, .5>,
    < .65, .6>,
    < .73, .7>,
    < .79, .8>,
    < .82, .9>,
    < .85, 1>,
    < .853, 1.1>,
    < .85, 1.2>,
    < .83, 1.3>,
    < .8, 1.4>,
    < .77, 1.5>,
    < .73, 1.6>,
    < .67, 1.7>,
    < .62, 1.8>,
    < .57, 1.9>,
    < .52, 2>,
    < .46, 2.1>,
    < .43, 2.2>,
    < .41, 2.3>,
    < .39, 2.4>,
    < .37 2.5>,
    < .355, 2.6>,
    < .35, 2.9>,
    < .35, 3.6>,
    < 0, 2.6>
    texture {T_Glass1}
    interior{ I_Glass}
    hollow on
    }
translate <0,2.9,0>} // */
             
cylinder { <0,2.7,0>,<0,3,0> .51 texture {Polished_Brass}}
cylinder { <.4,2.8,0>,<.8,2.8,0> .02 texture {Polished_Brass}}
cylinder { <.8,2.8,0>,<.82,2.8,0> .2 texture {Polished_Brass}}

difference{
        sphere {<0,3,0> .3 texture {Polished_Brass}}
        box {<-.31,3,-.05>,<.31,3.3,.05>  texture {Polished_Brass}}
        } 
box {<.455,3,-.07>,<.475,3.3,.07> texture {Polished_Brass}}
object {sphere { <.465,3.4,0> .1 texture {Polished_Brass}} scale <.02,1,1> translate <.455,-.12,0>}
box {<-.455,3,-.07>,<-.475,3.3,.07> texture {Polished_Brass}}
object {sphere { <-.465,3.3,0> .1 texture {Polished_Brass}} scale <.02,1,1> translate <-.455,-.12,0>}
box {<-.07,3,.455>,<.07,3.4,.475> texture {Polished_Brass}}
object {sphere { <0,3.3,.465> .1 texture {Polished_Brass}} scale <1,1,.02> translate <0,-.12,.455>}
box {<-.07,3,-.455>,<.07,3.3,-.475> texture {Polished_Brass}}
object {sphere { <0,3.4,-.465> .1 texture {Polished_Brass}} scale <1,1,.02> translate <0,-.12,-.455>}

lathe  {    //flame
        cubic_spline
        7,
        < 0, 0>
        < 2, .7>
        < 2.85, 1.7>
        <3, 3>
        <2.3, 6>
        <1, 10>
        <0, 15>
        texture {   Fire scale 2.1 }  scale <.055,.055,.01> translate <0,3.15,0>}    
        
// light_source { <0,3.17,0> color White *.5  }
} //    end union
//_______________________________________________________________ 


#declare Handle = 
union{
lathe { 
    cubic_spline
    11,
    <0,8>,
    < .1, 8.01>,
    < .25, 8.1>,
    < .20, 8.5>,
    < .18, 8.6>,
    < .20, 8.85>,
    < .18,9.1>,
    < .20,9.2>,
    < .25, 9.7>,
    < .1,9.8>,
    < 0, 9.8>
    texture {Polished_Brass}    translate <0,4,0>}
cylinder { <0,1.5,0>,<0,12,0> .15 texture {Polished_Brass}}
}


#declare Tools =  
union {
union {    //shovel
difference {
object {Handle}  
box {<2,2,2>,<-2,-3,-2>  texture {Polished_Brass}}}
object {           // shovel head
union {
difference {
cylinder {<0,1,-.5>,<0,1,0>,1   texture {Polished_Brass}}
cylinder {<0,1,-.6>,<0,1,-.1>,-.95   texture {Polished_Brass}}
box {<1.1,-1,-1>, <-1.1,.9,1>  texture {Polished_Brass}}}
difference {
box {<1,-.7,-.5>, <-1,.9,0>  texture {Polished_Brass} }
box {<.95,-.9,-.6>, <-.95,1,-.1>  texture {Polished_Brass}}}
}}
translate <0,2,1>
//rotate <0,0,10> 
scale .7}


union {       //poker
object {
       difference {
        torus { .55,.12 rotate <90,0,0> texture {Polished_Brass}}
        box {<0,-1,2>,<2,1,-2> texture {Polished_Brass}} 
        box {<-1,-1,2>,<2,0,-2> texture {Polished_Brass}}
        cylinder {<-.1,-.05,3>,<-.1,-.050,-3> .5  texture {Polished_Brass}} 

        }
translate <0,2,0>}
lathe { 
    cubic_spline
    8,
    <0,0>,
    < .01, .01>,
    < .03, .1>,
    < .07, .4>,
    <.10, 1>,
    < .14,1.5>,
    < .15, 2>,
    < .16,2.2>
    texture {Polished_Brass}}
//cylinder { <0,2,0>,<0,8,0> .15 texture {Polished_Brass}}
object {Handle}
translate <2,2,1> scale .7}           

object {       // brush
union{
//cylinder { <0,2,0>,<0,8,0> .15 texture {Polished_Brass}}
box {<.9,2,.5>,<-.9,1.5,-.5> texture {Polished_Brass}} 
box {<.8,1.5,.45>,<-.8,.5,-.45> texture {pigment {hexagon pigment{Black}, 
pigment {Black *1.3}, pigment {Black *1.2}}}}
object {Handle}               
} translate <-2,2,1> scale .7 }

union {     //holder
lathe { 
    cubic_spline
    9,
    <0,0>,
    < 1.6, 0>,
    < 1.5, .2>,
    < 1.4, .3>,
    <1, .4>,
    < .45, .45>,
    < .1, .46>,    
    < 0, .46>,
    < 0, .47>
 texture {Polished_Brass} scale 1.3}
cylinder { <0,.40,0>,<0,9,0> .31 texture {Polished_Brass}}
union {
sphere {<0,8,0> .5 texture {Polished_Brass}}
object {
       difference {
        torus { .8,.14  texture {Polished_Brass}}
        box {<0,-1,2>,<2,1,-2> texture {Polished_Brass}}
        }
        translate <-1,8,-.8>}
        cylinder { <-1,8,0>,<0,8,0> .15 texture {Polished_Brass}}
        sphere {<-.92,8,-1.6> .2 texture {Polished_Brass}}
object {
       difference {
        torus { .8,.14  texture {Polished_Brass}}
        box {<0,-1,2>,<-2,1,-2> texture {Polished_Brass}}
        }
        translate <1,8,-.8>}
        cylinder { <1,8,0>,<0,8,0> .15 texture {Polished_Brass}}
        sphere {<.92,8,-1.6> .2 texture {Polished_Brass}}
lathe { 
    cubic_spline
    9,
    <0,8>,
    < .05, 8.05>,
    < .3, 8.6>,
    < .35, 8.8>,
    <.3, 9>,
    < .2,9.15>,
    < .1, 9.5>,    
    < 0, 9.9>,
    < 0, 10>
texture {Polished_Brass}} translate <0,1,0>}
translate <0,0,2>}}
//end Tools
//____________________________________________

#declare Candle =
union {
lathe { 
    cubic_spline
    32,
    <0,0>,
    < 0.6, 0>,
    < 0.5, .2>,
    < 0.28, .3>,
    < 0.25, .4>,
    < .2, .6>,
    < 0.22, .8>,
    < .23, .1>,
    < .24, 1.2>,    
    < 0.26, 1.4>,
    < .28, 1.6>,
    < .33, 1.8>,
    < .32, 2>,
    < .25, 2.2>,
    < .2, 2.3>, //
    < .4, 2.4>, // point
    < .2, 2.5>, //
    < .25, 2.7>,
    < .32, 2.9>
    < .33, 3.1>,
    < .28, 3.3>,
    < .26, 3.5>,
    < .24, 3.7>,
    < .22, 3.9>,
    < .19, 4.1>,
    < .18, 4.3>,
    < .18, 4.5>,
    < .19, 4.7>,
    < .2, 5>,
    < .6, 5.2>,
    < .4, 5.4>,    
    < 0, 5.4>
 texture {Polished_Brass} scale 1.3}
light_source { <0,0,0>   color White *.2 
  looks_like  {
        lathe  {    //flame
        cubic_spline
        7,
        < 0, 0>
        < 2, .7>
        < 2.85, 1.7>
        <3, 3>
        <2.3, 6>
        <1, 10>
        <0, 15>
        texture {   Fire scale 2.1 }  scale <.055,.055,.01>} translate <0,12,0>} }
object {
lathe { 
    cubic_spline
        7,
        <0, 5.3>,
        <.2, 5.3>,
        <.2, 8>,
        <.18, 9>,
        <.15, 11>,
        <.05, 12>,
        <0,12>
        pigment {Red}}}        
        scale .5}

#declare Clock = 
union {     //CLOCK
object{
difference { 
blob {
cylinder{ < 0,4.5,10>, <0,4.5,-10>, 5 5}
cylinder{ < 5,2,10>, <5,2,-10>, 3.7 4}
cylinder{ < -5,2,10>, <-5,2,-10>, 3.7 4}
}
box {<10,-10,15>, <-10,10,3>}
box {<10,-10,-15>, <-10,10,-3>}
box {<10,2,5>, <-10,-5,-5>}
cylinder { <0,4.9,-3.1>, <0,4.9,-2.8> 2 pigment {rgb <1,1,.8>}}
}
texture {T_Wood8 scale 3 rotate y*94 translate y*1.7} finish {phong .2}}
torus { 2, .15 texture {Polished_Brass} rotate x*90 translate <0,4.9,-2.9> }
//cylinder {<0,4.9,-3>, <0,4.9,-1.99> 2 texture {T_Glass2} finish {ambient .3 diffuse .3} interior{ I_Glass}}
cylinder {<0,4.9,-2.995>, <0,4.9,-2.95> .2 pigment {Black}}
difference {      //minute
intersection {
cylinder { <0,4.9,-2.9>, <1.5,5.5,-2.9> .25 pigment {Black}}
box {<8,8,-2.91>,<-8,-8,-2.89> pigment {Black}}
}
cylinder { <-.5,5.16,-2.9>, <1.55,5.74,-2.9> .25 pigment {Black}}
cylinder { <0,4.52,-2.9>, <1.65,5.26,-2.9> .25 pigment {Black}}
}    
difference {    //hour
intersection {
cylinder { <0,4.9,-2.9>, <-1.2,3.0,-2.9> .25 pigment {Black}}
box {<8,8,2.91>,<-8,-8,-2.89> pigment {Black}}
}
cylinder { <0,5.80,-2.9>, <-1.32,3.05,-2.9> .25 pigment {Black}}
cylinder { <.3,4.7,-2.9>, <-1.35,2.74,-2.9> .25 pigment {Black}}
}

text { ttf "timrom.ttf" "III" .2, 0
    pigment { Black } 
    scale .4
    translate <1.35,4.8,-2.9>
  }
 text { ttf "timrom.ttf" "IX" .2, 0
    pigment { Black } 
    scale .4
    translate <-1.65,4.8,-2.9>
  }
 text { ttf "timrom.ttf" "XII" .2, 0
    pigment { Black } 
    scale .4
    translate <-0.25,6.3,-2.9>
  }
 text { ttf "timrom.ttf" "VI" .2, 0
    pigment { Black } 
    scale .4
    translate <-0.15,3.2,-2.9>
  }
translate <0,-2,0>}